var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { NgModule } from '@angular/core';
import { HttpModule, Http, XHRBackend, RequestOptions } from '@angular/http';
import { Keycloak } from './services/keycloak.core.service';
import { KeycloakAuthorization } from './services/keycloak.auth.service';
import { KeycloakHttp } from './services/keycloak.http.service';
export function keycloakHttpFactory(backend, defaultOptions, keycloakAuth, keycloak) {
    return new KeycloakHttp(backend, defaultOptions, keycloak, keycloakAuth);
}
export function teste(minValidity) {
}
var Ng2KeycloakModule = (function () {
    function Ng2KeycloakModule() {
    }
    Ng2KeycloakModule = __decorate([
        NgModule({
            imports: [HttpModule],
            declarations: [],
            providers: [Keycloak, KeycloakAuthorization, KeycloakHttp,
                { provide: Http,
                    useFactory: keycloakHttpFactory,
                    deps: [XHRBackend, RequestOptions, Keycloak, KeycloakAuthorization]
                }],
            exports: []
        })
    ], Ng2KeycloakModule);
    return Ng2KeycloakModule;
}());
export { Ng2KeycloakModule };
//# sourceMappingURL=ng2-keycloak.module.js.map