import { Http } from '@angular/http';
import { Observable, BehaviorSubject } from 'rxjs/Rx';
import 'rxjs/operator/map';
import { LoginIframe } from '../utils/keycloak.utils.loginIframe';
export declare function teste2(): Observable<boolean>;
export declare function teste(minValidity: number): Observable<string>;
export declare class Keycloak {
    static config: any;
    static adapter: any;
    static resourceAccess: any;
    static callback_id: number;
    static loginIframe: LoginIframe;
    static callbackStorage: any;
    static timeSkew: number;
    static http: Http;
    static loginRequired: boolean;
    static tokenParsed: any;
    static idTokenParsed: any;
    static refreshTokenParsed: any;
    static accessToken: string;
    static idToken: string;
    static refreshToken: string;
    static tokenTimeoutHandle: any;
    static subject: string;
    static sessionId: string;
    static responseMode: string;
    static responseType: string;
    static flow: string;
    static clientId: string;
    static clientSecret: string;
    static authServerUrl: string;
    static realm: string;
    static realmAccess: any;
    static initializedBehaviourSubject: BehaviorSubject<boolean>;
    static authenticatedBehaviourSubject: BehaviorSubject<boolean>;
    static authSuccessBehaviourSubject: BehaviorSubject<boolean>;
    static authErrorBehaviourSubject: BehaviorSubject<any>;
    static tokenExpiredBehaviourSubject: BehaviorSubject<boolean>;
    static initializedObs: Observable<boolean>;
    static authenticatedObs: Observable<boolean>;
    static authSuccessObs: Observable<boolean>;
    static authErrorObs: Observable<boolean>;
    static tokenExpiredObs: Observable<boolean>;
    static login(options: any): any;
    static logout(options: any): any;
    static updateToken(minValidity: number): Observable<string>;
    static register(options: any): any;
    static accountManagement(): any;
    static loadUserProfile(): Observable<any>;
    static loadUserInfo(): Observable<any>;
    static hasRealmRole(role: string): boolean;
    static hasResourceRole(role: string, resource: string): boolean;
    static isTokenExpired(minValidity: number): boolean;
    static isRefreshTokenExpired(minValidity: number): boolean;
    static clearToken(initOptions: any): void;
    static createLoginUrl(options: any): string;
    static createLogoutUrl(options: any): string;
    static createRegisterUrl(options: any): string;
    static createAccountUrl(options: any): string;
    static getRealmUrl(): string;
    static checkLoginIframe(): Observable<boolean>;
    static processCallback(oauth: any): void;
    static setToken(accessToken: string, refreshToken: string, idToken: string, useTokenTime: boolean): void;
    static createCallbackId(): string;
    static parseCallback(url: string): any;
    constructor();
    init(initOptions: any): void;
    private loadConfig(url);
    private processInit(initOptions);
    private setupCheckLoginIframe();
    private loadAdapter(type);
}
